Package twisted :: Package python :: Module logfile :: Class LogFile

[frames | no frames]

## Class LogFile

    BaseLogFile --+
                  |
                 LogFile

A log file that can be rotated.

A rotateLength of None disables automatic log rotation.

Method Summary
| `__init__(self, name, directory, rotateLength, defaultMode)`
| `__getstate__(self)`
| ``__hook_orig_twisted_python_logfile_LogFile_rotate__`(self)` Rotate the file and create a new one.
| ``__hook_orig_twisted_python_logfile_LogFile_write__`(self, data)` Write some data to the file
| ``_openFile`(self)` Open the log file.
| ``getLog`(self, identifier)` Given an integer, return a LogReader for an old log file.
| ``listLogs`(self)` Return sorted list of integers - the old logs' identifiers.
| `rotate(*args, **kw)`
| ``shouldRotate`(self)` Rotate when the log file size is larger than rotateLength
| `write(*args, **kw)`
Inherited from BaseLogFile
| ``__setstate__`(self, state)`
| ``close`(self)` Close the file.
| ``flush`(self)` Flush the file.
| ``getCurrentLog`(self)` Return a LogReader for the current log file.

Class Variable Summary
`list` | `__hook_post_twisted_python_logfile_LogFile_rotate__` = `[<...`
`list` | `__hook_post_twisted_python_logfile_LogFile_write__` = `[<f...`
`list` | `__hook_pre_twisted_python_logfile_LogFile_rotate__` = `[<f...`
`list` | `__hook_pre_twisted_python_logfile_LogFile_write__` = `[<fu...`
Inherited from BaseLogFile
`list` | `synchronized` = `['write', 'rotate']`

Method Details

### __hook_orig_twisted_python_logfile_LogFile_rotate__(self)

Rotate the file and create a new one.

If it's not possible to open new logfile, this will fail silently, and continue logging to old logfile.

### __hook_orig_twisted_python_logfile_LogFile_write__(self, data)

Write some data to the file

  Overrides:
    `twisted.python.logfile.BaseLogFile.write`

### _openFile(self)

Open the log file.

  Overrides:
    `twisted.python.logfile.BaseLogFile._openFile` (inherited documentation)

### getLog(self, identifier)

Given an integer, return a LogReader for an old log file.

### listLogs(self)

Return sorted list of integers - the old logs' identifiers.

### shouldRotate(self)

Rotate when the log file size is larger than rotateLength

  Overrides:
    `twisted.python.logfile.BaseLogFile.shouldRotate`

Class Variable Details

### __hook_post_twisted_python_logfile_LogFile_rotate__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81d542c>]

### __hook_post_twisted_python_logfile_LogFile_write__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81d542c>]

### __hook_pre_twisted_python_logfile_LogFile_rotate__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x823753c>]

### __hook_pre_twisted_python_logfile_LogFile_write__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x823753c>]

Generated by Epydoc 2.0 on Sat May 15 20:08:58 2004 | http://epydoc.sf.net